[
  {
    "function": "set_components",
    "components": {
      "item_name": {
        "translate": "block.minecraft.brown_mushroom"
      },
      "max_stack_size": 20,
      "custom_data": {
        "IsBrownMushroom": true,
        "IsMushroom": true,
        "or_edited_item": true,
        "or_no_edit": true,
        "mushroom_type": "brown",
        "mushroom_type_specific": "brown_mushroom",
        "mushroom_family": "brown",
        "or_is_food": true,
        "or_food_type": "brown_mushroom",
        "or_food_category": "mushroom",
        "or_food_sub_category": "mushroom_regular",
        "or_food_rawness_type": "raw"
      },
      "food": {
            "nutrition": 1,
            "saturation": 0.5,
            "can_always_eat": true
        },
        "consumable": {
            "consume_seconds": 2.5
        },
      "item_model": "brown_mushroom"
    }
  }
]